seo:
  title: How we turn our group conversations into a podcast with GitLab CI/CD
  description: >-
    Want to listen to meetings on the go? Senior SRE John Jarvis explains how he
    turned his favorite remote meetings at GitLab into podcast format.
  ogTitle: How we turn our group conversations into a podcast with GitLab CI/CD
  ogDescription: >-
    Want to listen to meetings on the go? Senior SRE John Jarvis explains how he
    turned his favorite remote meetings at GitLab into podcast format.
  noIndex: false
  ogImage: images/blog/hero-images/group-conversation-podcast.jpg
  ogUrl: https://about.gitlab.com/blog/group-conversation-podcast
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/group-conversation-podcast
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "How we turn our group conversations into a podcast with GitLab CI/CD",
            "author": [{"@type":"Person","name":"John Jarvis"}],
            "datePublished": "2019-07-03",
          }

content:
  title: How we turn our group conversations into a podcast with GitLab CI/CD
  description: >-
    Want to listen to meetings on the go? Senior SRE John Jarvis explains how he
    turned his favorite remote meetings at GitLab into podcast format.
  authors:
    - John Jarvis
  heroImage: images/blog/hero-images/group-conversation-podcast.jpg
  date: '2019-07-03'
  body: >

    [Group conversations](/handbook/group-conversations/) are my favorite remote
    meetings at

    GitLab because they are a great way to get an inside peek at what different
    teams are doing,

    how they collaborate, and what features you might find in future GitLab
    releases.

    You may already know that we have been livestreaming these on

    [GitLab
    Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) for
    anyone curious about how GitLab operates.


    Lately, when I have time to listen to these unfiltered discussions I am
    either not at a screen or not in a place

    where it is easy to watch a video. After seeing how [Support turned their
    weekly meeting into a
    podcast](/blog/2019/06/03/how-we-turned-40-person-meeting-into-a-podcast/),

    I thought it would be nice to make the GitLab group conversation meetings
    into a podcast as well!


    [Subscribe to the GitLab Group Conversations
    podcast](https://gitlab-com.gitlab.io/gl-infra/podcasts/#podcasts)

    {: .alert .alert-gitlab-purple .text-center}


    Now in addition to the livestreams and videos, there is a podcast feed for
    GitLab group conversations.

    Listen to these conversations on your favorite podcast player by accessing
    the feed on

    [the Group Conversations podcast
    page](https://gitlab-com.gitlab.io/gl-infra/podcasts/#podcasts).


    If you like the format, please let us know by tweeting us
    [@GitLab](https://twitter.com/gitlab)

    and we will consider adding more!


    ### Here is a bit more detail about how these podcasts are generated


    * Teams that livestream group conversations
      [follow instructions  for broadcasting it live](/handbook/group-conversations/#livestream-the-video)
      and creating the video. When the meeting is over, the video is made available on GitLab Unfiltered.

    * A daily GitLab CI job in the [podcasts
    project](https://gitlab.com/gitlab-com/gl-infra/podcasts)
      downloads the group conversation videos and converts them to audio files. It's easy to create [pipeline schedules in GitLab](https://docs.gitlab.com/ee/ci/pipelines/schedules.html).

      ![The podcast schedule](https://about.gitlab.com/images/blogimages/podcast-schedule.png){: .shadow.medium.center}

    * An RSS feed is generated and audio files are uploaded to object storage
    from the CI job


    * GitLab pages is used to host a static site to link to the feed


    * This is all automated in a CI pipeline that runs every hour!


    ![Podcast
    pipelines](https://about.gitlab.com/images/blogimages/podcast-pipeline.png){:
    .shadow.medium.center}


    I hope you have the opportunity to tune into the group conversations at
    GitLab and

    also take advantage of GitLab CI features like schedules to help automate
    your own

    workflows!


    Photo by [Lee
    Campbell](https://unsplash.com/@leecampbell?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
    on
    [Unsplash](https://unsplash.com/search/photos/headphones?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)

    {: .note}
  category: Engineering
  tags:
    - inside GitLab
    - remote work
    - CI/CD
config:
  slug: group-conversation-podcast
  featured: false
  template: BlogPost
